Subject: bug#45776: closed (Re: bug#45776: Bug? Haskell GHC wont' work since [email-masked]?)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 26 Mar 2021 11:57:02 +0000

Your bug report

#45776: Bug? Haskell GHC wont' work since [email-masked]?

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45776: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45776
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45776: Bug? Haskell GHC wont' work since [email-masked]?
From: Maxime Devos <[email-masked]>
To: John Soo <[email-masked]>, zimoun <[email-masked]>
Cc: yasu <[email-masked]>, [email-masked], [email-masked]
Date: Fri, 26 Mar 2021 12:55:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, 2021-03-26 at 04:32 -0700, John Soo wrote:
> Hello zimoun,
> 
> I believe it can be closed, thanks!

Done.  You can close bugs yourself by sending
an e-mail to [email-masked].

Subject: Bug? Haskell GHC wont' work since [email-masked]?
From: yasu <[email-masked]>
To: Help Guix <[email-masked]>, Bug Guix <[email-masked]>
Date: Mon, 11 Jan 2021 14:47:00 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

This one ought to be very simple to solve (or at least confirm).   Does
anyone use Haskell daily?

I am a very casual user of Haskell (GHC) and when I tried to compile
something just now, I noticed that it can't even compile the simplest
possible program..., unless I downgrade to [email-masked] or lower. Newer
versions, including [email-masked], didn't work, throwing the error message
below instead.

~/co/haskell-tiny-intro/exercise (master *)$ cat a.hs
main = putStrLn "a"

~/co/haskell-tiny-intro/exercise (master *)$ ghc a.hs
Linking a ...
.gcc-wrapped: error: unrecognized command line option '-no-pie'
`gcc' failed in phase `C Compiler'. (Exit code: 1)

Cheers,
Yasu